import { request } from '../config'

export function listMall() {
  return request({
    url: '/config/mall',
    method: 'get'
  })
}

export function updateMall(data: any) {
  return request({
    url: '/config/mall',
    method: 'post',
    data
  })
}

export function listExpress() {
  return request({
    url: '/config/express',
    method: 'get'
  })
}

export function updateExpress(data: any) {
  return request({
    url: '/config/express',
    method: 'post',
    data
  })
}

export function listOrder() {
  return request({
    url: '/config/order',
    method: 'get'
  })
}

export function updateOrder(data: any) {
  return request({
    url: '/config/order',
    method: 'post',
    data
  })
}

export function listWx() {
  return request({
    url: '/config/wx',
    method: 'get'
  })
}

export function updateWx(data: any) {
  return request({
    url: '/config/wx',
    method: 'post',
    data
  })
}
// 税率
export function taxConfig() {
  return request({
    url: '/config/tax',
    method: 'get'
  })
}

export function saveTaxConfig(data: any) {
  return request({
    url: '/config/tax',
    method: 'get',
    data
  })
}


